## fs-uae 3.0.2+dfsg

=== arcade/Makefile ===
version := $(strip $(shell cat VERSION))
build_dir := "."
dist_name = fs-uae-arcade-$(version)
dist_dir := $(build_dir)/$(dist_name)

DESTDIR :=
prefix := /usr/local

ifeq ($(wildcard OpenGL),)
	OpenGL_dir := "../fs-uae-launcher"
else
	OpenGL_dir := "."
endif

ifeq ($(wildcard arcade),)
	arcade_dir := "../fs-uae-launcher"
else
	arcade_dir := "."
endif

ifeq ($(wildcard fsbc),)
	fsbc_dir := "../fs-uae-launcher"
else
	fsbc_dir := "."
endif

ifeq ($(wildcard fsboot),)
	fsboot_dir := "../fs-uae-launcher"
else
	fsboot_dir := "."
endif

ifeq ($(wildcard fsgs),)
	fsgs_dir := "../fs-uae-launcher"
else
	fsgs_dir := "."
endif

ifeq ($(wildcard fspy),)
	fspy_dir := "../fs-uae-launcher"
else
	fspy_dir := "."
endif

ifeq ($(wildcard fstd),)
	fstd_dir := "../fs-uae-launcher"
else
	fstd_dir := "."
endif

ifeq ($(wildcard fsui),)
	fsui_dir := "../fs-uae-launcher"
else
	fsui_dir := "."
endif

ifeq ($(wildcard launcher),)
	launcher_dir := "../fs-uae-launcher"
else
	launcher_dir := "."
endif

ifeq ($(wildcard oyoyo),)
	oyoyo_dir := "../fs-uae-launcher"
else
	oyoyo_dir := "."
endif

ifeq ($(wildcard workspace),)
	workspace_dir := "../fs-uae-launcher"
else
	workspace_dir := "."
endif

all: mo

share/locale/%/LC_MESSAGES/fs-uae-arcade.mo: po/%.po
	mkdir -p share/locale/$*/LC_MESSAGES
	msgfmt --verbose $< -o $@

catalogs = \


mo: $(catalogs)


install-program:
ifeq ($(DESTDIR),)
	python3 setup.py install	 --install-lib=$(prefix)/share/fs-uae-arcade	 --install-scripts=$(prefix)/share/fs-uae-arcade
	install -d $(DESTDIR)$(prefix)/bin
	rm -f $(DESTDIR)$(prefix)/bin/fs-uae-arcade
	ln -s ../share/fs-uae-arcade/fs-uae-arcade	 $(DESTDIR)$(prefix)/bin/fs-uae-arcade
else
	python3 setup.py install	 --root=$(DESTDIR)	 --install-lib=$(prefix)/share/fs-uae-arcade	 --install-scripts=$(prefix)/share/fs-uae-arcade
	install -d $(DESTDIR)$(prefix)/bin
	rm -f $(DESTDIR)$(prefix)/bin/fs-uae-arcade
	ln -s ../share/fs-uae-arcade/fs-uae-arcade	 $(DESTDIR)$(prefix)/bin/fs-uae-arcade
endif

install-data: mo
	mkdir -p $(DESTDIR)$(prefix)/share
	cp -a share/* $(DESTDIR)$(prefix)/share

	mkdir -p $(DESTDIR)$(prefix)/share/doc/fs-uae-arcade
	cp -a README COPYING $(DESTDIR)$(prefix)/share/doc/fs-uae-arcade

install: install-data install-program

dist_dir := fs-uae-arcade-$(version)

distdir:
	rm -Rf $(dist_dir)/*
	mkdir -p $(dist_dir)

	cp -a $(OpenGL_dir)/OpenGL $(dist_dir)/
	cp -a $(arcade_dir)/arcade $(dist_dir)/
	cp -a $(fsbc_dir)/fsbc $(dist_dir)/
	cp -a $(fsboot_dir)/fsboot $(dist_dir)/
	cp -a $(fsgs_dir)/fsgs $(dist_dir)/
	cp -a $(fspy_dir)/fspy $(dist_dir)/
	cp -a $(fstd_dir)/fstd $(dist_dir)/
	cp -a $(fsui_dir)/fsui $(dist_dir)/
	cp -a $(launcher_dir)/launcher $(dist_dir)/
	cp -a $(oyoyo_dir)/oyoyo $(dist_dir)/
	cp -a $(workspace_dir)/workspace $(dist_dir)/
	cp -a share $(dist_dir)/
	mkdir $(dist_dir)/po/

	find $(dist_dir) -name "*.mo" -delete
	find $(dist_dir) -name "*.pyc" -delete
	find $(dist_dir) -name "*.pyo" -delete
	find $(dist_dir) -name __pycache__ -delete

	cp COPYING $(dist_dir)/
	cp INSTALL $(dist_dir)/
	cp Makefile $(dist_dir)/
	cp README $(dist_dir)/
	cp VERSION $(dist_dir)/
	cp cacert.pem $(dist_dir)/
	mkdir -p $(dist_dir)/debian
	cp debian/changelog $(dist_dir)/debian
	cp debian/compat $(dist_dir)/debian
	cp debian/control $(dist_dir)/debian
	cp debian/copyright $(dist_dir)/debian
	cp debian/links $(dist_dir)/debian
	cp debian/rules $(dist_dir)/debian
	mkdir -p $(dist_dir)/debian/source
	cp debian/source/format $(dist_dir)/debian/source
	mkdir -p $(dist_dir)/dist
	cp dist/arch.py $(dist_dir)/dist
	mkdir -p $(dist_dir)/dist/macos
	cp dist/macos/Info.plist $(dist_dir)/dist/macos
	cp dist/macos/Makefile $(dist_dir)/dist/macos
	cp dist/macos/sign.py $(dist_dir)/dist/macos
	cp dist/macos/standalone.py $(dist_dir)/dist/macos
	mkdir -p $(dist_dir)/dist/python
	cp dist/python/Makefile $(dist_dir)/dist/python
	cp fs-uae-arcade $(dist_dir)/
	cp fs-uae-arcade.spec $(dist_dir)/
	mkdir -p $(dist_dir)/icon
	cp icon/fs-uae-arcade.icns $(dist_dir)/icon
	cp icon/fs-uae-arcade.ico $(dist_dir)/icon
	cp po-update.py $(dist_dir)/
	cp setup.py $(dist_dir)/
	cp update-version $(dist_dir)/
	cd $(dist_dir) && ./update-version setup.py --strict
	cd $(dist_dir) && ./update-version debian/changelog --deb
	cd $(dist_dir) && ./update-version dist/macos/Info.plist --strict
	cd $(dist_dir) && ./update-version launcher/version.py
	cd $(dist_dir) && ./update-version fs-uae-arcade
	cd $(dist_dir) && ./update-version fs-uae-arcade.spec --rpm

dist: distdir
	find $(dist_dir) -exec touch \{\} \;
	cd "$(build_dir)" && tar zcfv $(dist_name).tar.gz $(dist_name)

windows-dist: distdir
	cd $(dist_dir)/dist/windows && make
	mv $(dist_dir)/fs-uae-arcade_*windows* .
	rm -Rf $(dist_dir)

macos-dist: distdir
	cd $(dist_dir)/dist/macos && make
	mv $(dist_dir)/fs-uae-arcade_*macos* .
	rm -Rf $(dist_dir)

clean-dist:
	rm -Rf fs-uae-arcade-* fs-uae-arcade_*
	rm -Rf debian/fs-uae-arcade*

clean:
	rm -Rf build
	find share -name "*.mo" -delete
	find . -name "*.pyc" -delete
	find . -name "*.pyo" -delete
	find . -name __pycache__ -delete

distclean: clean clean-dist
	rm -f Makefile
	rm -f setup.py

bindist: distdir
	cd $(dist_dir)/dist/linux && fs-sdk-linux-x86-64 make
	mv $(dist_dir)/fs-uae-launcher_*linux* .
	rm -Rf $(dist_dir)

bindist-x86: distdir
	cd $(dist_dir)/dist/linux && fs-sdk-linux-x86 make
	mv $(dist_dir)/fs-uae-launcher_*linux* .
	rm -Rf $(dist_dir)

=== launcher/Makefile ===
version := $(strip $(shell cat VERSION))
build_dir := "."
dist_name = fs-uae-launcher-$(version)
dist_dir := $(build_dir)/$(dist_name)

DESTDIR :=
prefix := /usr/local

ifeq ($(wildcard OpenGL),)
	OpenGL_dir := "."
else
	OpenGL_dir := "."
endif

ifeq ($(wildcard amitools),)
	amitools_dir := "."
else
	amitools_dir := "."
endif

ifeq ($(wildcard arcade),)
	arcade_dir := "."
else
	arcade_dir := "."
endif

ifeq ($(wildcard fsbc),)
	fsbc_dir := "."
else
	fsbc_dir := "."
endif

ifeq ($(wildcard fsboot),)
	fsboot_dir := "."
else
	fsboot_dir := "."
endif

ifeq ($(wildcard fsgs),)
	fsgs_dir := "."
else
	fsgs_dir := "."
endif

ifeq ($(wildcard fspy),)
	fspy_dir := "."
else
	fspy_dir := "."
endif

ifeq ($(wildcard fstd),)
	fstd_dir := "."
else
	fstd_dir := "."
endif

ifeq ($(wildcard fsui),)
	fsui_dir := "."
else
	fsui_dir := "."
endif

ifeq ($(wildcard launcher),)
	launcher_dir := "."
else
	launcher_dir := "."
endif

ifeq ($(wildcard oyoyo),)
	oyoyo_dir := "."
else
	oyoyo_dir := "."
endif

ifeq ($(wildcard workspace),)
	workspace_dir := "."
else
	workspace_dir := "."
endif

all: mo

share/locale/%/LC_MESSAGES/fs-uae-launcher.mo: po/%.po
	mkdir -p share/locale/$*/LC_MESSAGES
	msgfmt --verbose $< -o $@

catalogs = \
	share/locale/cs/LC_MESSAGES/fs-uae-launcher.mo \
	share/locale/da/LC_MESSAGES/fs-uae-launcher.mo \
	share/locale/de/LC_MESSAGES/fs-uae-launcher.mo \
	share/locale/el/LC_MESSAGES/fs-uae-launcher.mo \
	share/locale/eo/LC_MESSAGES/fs-uae-launcher.mo \
	share/locale/es/LC_MESSAGES/fs-uae-launcher.mo \
	share/locale/fi/LC_MESSAGES/fs-uae-launcher.mo \
	share/locale/fr/LC_MESSAGES/fs-uae-launcher.mo \
	share/locale/hu/LC_MESSAGES/fs-uae-launcher.mo \
	share/locale/it/LC_MESSAGES/fs-uae-launcher.mo \
	share/locale/nb/LC_MESSAGES/fs-uae-launcher.mo \
	share/locale/nl/LC_MESSAGES/fs-uae-launcher.mo \
	share/locale/pl/LC_MESSAGES/fs-uae-launcher.mo \
	share/locale/pt/LC_MESSAGES/fs-uae-launcher.mo \
	share/locale/pt_BR/LC_MESSAGES/fs-uae-launcher.mo \
	share/locale/ru/LC_MESSAGES/fs-uae-launcher.mo \
	share/locale/sr/LC_MESSAGES/fs-uae-launcher.mo \
	share/locale/sv/LC_MESSAGES/fs-uae-launcher.mo \
	share/locale/tr/LC_MESSAGES/fs-uae-launcher.mo

mo: $(catalogs)


install-program:
ifeq ($(DESTDIR),)
	python3 setup.py install	 --install-lib=$(prefix)/share/fs-uae-launcher	 --install-scripts=$(prefix)/share/fs-uae-launcher
	install -d $(DESTDIR)$(prefix)/bin
	rm -f $(DESTDIR)$(prefix)/bin/fs-uae-launcher
	ln -s ../share/fs-uae-launcher/fs-uae-launcher	 $(DESTDIR)$(prefix)/bin/fs-uae-launcher
else
	python3 setup.py install	 --root=$(DESTDIR)	 --install-lib=$(prefix)/share/fs-uae-launcher	 --install-scripts=$(prefix)/share/fs-uae-launcher
	install -d $(DESTDIR)$(prefix)/bin
	rm -f $(DESTDIR)$(prefix)/bin/fs-uae-launcher
	ln -s ../share/fs-uae-launcher/fs-uae-launcher	 $(DESTDIR)$(prefix)/bin/fs-uae-launcher
endif

install-data: mo
	mkdir -p $(DESTDIR)$(prefix)/share
	cp -a share/* $(DESTDIR)$(prefix)/share

	mkdir -p $(DESTDIR)$(prefix)/share/doc/fs-uae-launcher
	cp -a README COPYING $(DESTDIR)$(prefix)/share/doc/fs-uae-launcher

install: install-data install-program

dist_dir := fs-uae-launcher-$(version)

distdir:
	rm -Rf $(dist_dir)/*
	mkdir -p $(dist_dir)

	cp -a $(OpenGL_dir)/OpenGL $(dist_dir)/
	cp -a $(amitools_dir)/amitools $(dist_dir)/
	cp -a $(arcade_dir)/arcade $(dist_dir)/
	cp -a $(fsbc_dir)/fsbc $(dist_dir)/
	cp -a $(fsboot_dir)/fsboot $(dist_dir)/
	cp -a $(fsgs_dir)/fsgs $(dist_dir)/
	cp -a $(fspy_dir)/fspy $(dist_dir)/
	cp -a $(fstd_dir)/fstd $(dist_dir)/
	cp -a $(fsui_dir)/fsui $(dist_dir)/
	cp -a $(launcher_dir)/launcher $(dist_dir)/
	cp -a $(oyoyo_dir)/oyoyo $(dist_dir)/
	cp -a $(workspace_dir)/workspace $(dist_dir)/
	cp -a share $(dist_dir)/
	mkdir $(dist_dir)/po/

	find $(dist_dir) -name "*.mo" -delete
	find $(dist_dir) -name "*.pyc" -delete
	find $(dist_dir) -name "*.pyo" -delete
	find $(dist_dir) -name __pycache__ -delete

	cp COPYING $(dist_dir)/
	cp INSTALL $(dist_dir)/
	cp Makefile $(dist_dir)/
	cp README $(dist_dir)/
	cp VERSION $(dist_dir)/
	cp cacert.pem $(dist_dir)/
	mkdir -p $(dist_dir)/debian
	cp debian/changelog $(dist_dir)/debian
	cp debian/compat $(dist_dir)/debian
	cp debian/control $(dist_dir)/debian
	cp debian/copyright $(dist_dir)/debian
	cp debian/links $(dist_dir)/debian
	cp debian/rules $(dist_dir)/debian
	mkdir -p $(dist_dir)/debian/source
	cp debian/source/format $(dist_dir)/debian/source
	mkdir -p $(dist_dir)/dist
	cp dist/arch.py $(dist_dir)/dist
	mkdir -p $(dist_dir)/dist/linux
	cp dist/linux/Makefile $(dist_dir)/dist/linux
	cp dist/linux/build.py $(dist_dir)/dist/linux
	cp dist/linux/standalone-linux.py $(dist_dir)/dist/linux
	mkdir -p $(dist_dir)/dist/macos
	cp dist/macos/Info.plist $(dist_dir)/dist/macos
	cp dist/macos/Makefile $(dist_dir)/dist/macos
	cp dist/macos/sign.py $(dist_dir)/dist/macos
	cp dist/macos/standalone.py $(dist_dir)/dist/macos
	mkdir -p $(dist_dir)/dist/python
	cp dist/python/Makefile $(dist_dir)/dist/python
	mkdir -p $(dist_dir)/dist/steamos
	cp dist/steamos/Makefile $(dist_dir)/dist/steamos
	mkdir -p $(dist_dir)/dist/windows
	cp dist/windows/Makefile $(dist_dir)/dist/windows
	cp dist/windows/clib.py $(dist_dir)/dist/windows
	cp dist/windows/fs-uae-launcher.iss $(dist_dir)/dist/windows
	cp dist/windows/iscc.py $(dist_dir)/dist/windows
	cp dist/windows/sign.py $(dist_dir)/dist/windows
	cp extra_imports.py $(dist_dir)/
	cp fs-uae-launcher $(dist_dir)/
	cp fs-uae-launcher.spec $(dist_dir)/
	mkdir -p $(dist_dir)/icon
	cp icon/fs-uae-launcher.icns $(dist_dir)/icon
	cp icon/fs-uae-launcher.ico $(dist_dir)/icon
	cp po-update.py $(dist_dir)/
	mkdir -p $(dist_dir)/po
	cp po/cs.po $(dist_dir)/po
	cp po/da.po $(dist_dir)/po
	cp po/de.po $(dist_dir)/po
	cp po/el.po $(dist_dir)/po
	cp po/eo.po $(dist_dir)/po
	cp po/es.po $(dist_dir)/po
	cp po/fi.po $(dist_dir)/po
	cp po/fr.po $(dist_dir)/po
	cp po/hu.po $(dist_dir)/po
	cp po/it.po $(dist_dir)/po
	cp po/nb.po $(dist_dir)/po
	cp po/nl.po $(dist_dir)/po
	cp po/pl.po $(dist_dir)/po
	cp po/pt.po $(dist_dir)/po
	cp po/pt_BR.po $(dist_dir)/po
	cp po/ru.po $(dist_dir)/po
	cp po/sr.po $(dist_dir)/po
	cp po/sv.po $(dist_dir)/po
	cp po/tr.po $(dist_dir)/po
	cp setup.py $(dist_dir)/
	cp update-version $(dist_dir)/
	cd $(dist_dir) && ./update-version setup.py --strict
	cd $(dist_dir) && ./update-version debian/changelog --deb
	cd $(dist_dir) && ./update-version dist/macos/Info.plist --strict
	cd $(dist_dir) && ./update-version launcher/version.py
	cd $(dist_dir) && ./update-version fs-uae-launcher
	cd $(dist_dir) && ./update-version fs-uae-launcher.spec --rpm

dist: distdir
	find $(dist_dir) -exec touch \{\} \;
	cd "$(build_dir)" && tar zcfv $(dist_name).tar.gz $(dist_name)

windows-dist: distdir
	cd $(dist_dir)/dist/windows && make
	mv $(dist_dir)/fs-uae-launcher_*windows* .
	rm -Rf $(dist_dir)

macos-dist: distdir
	cd $(dist_dir)/dist/macos && make
	mv $(dist_dir)/fs-uae-launcher_*macos* .
	rm -Rf $(dist_dir)

clean-dist:
	rm -Rf fs-uae-launcher-* fs-uae-launcher_*
	rm -Rf debian/fs-uae-launcher*

clean:
	rm -Rf build
	find share -name "*.mo" -delete
	find . -name "*.pyc" -delete
	find . -name "*.pyo" -delete
	find . -name __pycache__ -delete

distclean: clean clean-dist
	rm -f Makefile
	rm -f setup.py

bindist: distdir
	cd $(dist_dir)/dist/linux && fs-sdk-linux-x86-64 make
	mv $(dist_dir)/fs-uae-launcher_*linux* .
	rm -Rf $(dist_dir)

bindist-x86: distdir
	cd $(dist_dir)/dist/linux && fs-sdk-linux-x86 make
	mv $(dist_dir)/fs-uae-launcher_*linux* .
	rm -Rf $(dist_dir)

=== arcade/dist/macos/Makefile ===
version = $(strip $(shell cat ../../VERSION))
arch = $(strip $(shell python3 ../arch.py))
ver_os_arch = $(version)_macos_$(arch)

dname = fs-uae-arcade_$(ver_os_arch)
macos =  Launcher.app/Contents/MacOS
frameworks = Launcher.app/Contents/Frameworks
resources = Launcher.app/Contents/Resources
locale = Launcher.app/Contents/Locale
pylib = /Library/Frameworks/Python.framework/Versions/3.6/lib
qtdir = $(pylib)/python3.6/site-packages/PyQt5/Qt

all: bindist-launcher

clean:
	rm -Rf Launcher.app "FS-UAE Arcade.app"

cxfreeze: clean
	make -C ../..
	rm -Rf ../../build
	ln -fs $(qtdir)/lib/Qt*.framework $(pylib)
	cd ../.. && PYTHONHASHSEED=1 python3 setup.py build_exe
	rm  $(pylib)/Qt*.framework

	mkdir -p $(macos)
	mkdir -p $(resources)
	cp ../../cacert.pem $(macos) || \
		cp ../../../fs-uae-launcher/cacert.pem $(macos)
	rm -Rf $(resources)/applications
	rm -Rf $(resources)/icons
	mv ../../build/*/* $(macos)

	rm -Rf $(macos)/Qt*

addqt:
	mkdir -p Launcher.app/Contents/PlugIns/platforms
	cp $(qtdir)/plugins/platforms/libqcocoa.dylib Launcher.app/Contents/PlugIns/platforms/

	mkdir -p Launcher.app/Contents/PlugIns/imageformats
	cp $(qtdir)/plugins/imageformats/libqgif.dylib Launcher.app/Contents/PlugIns/imageformats/
	cp $(qtdir)/plugins/imageformats/libqicns.dylib Launcher.app/Contents/PlugIns/imageformats/
	cp $(qtdir)/plugins/imageformats/libqjpeg.dylib Launcher.app/Contents/PlugIns/imageformats/

	mkdir -p $(frameworks)
	cp -r $(qtdir)/lib/QtCore.framework $(frameworks)/
	cp -r $(qtdir)/lib/QtGui.framework $(frameworks)/
	cp -r $(qtdir)/lib/QtWidgets.framework $(frameworks)/
	cp -r $(qtdir)/lib/QtOpenGL.framework $(frameworks)/
	cp -r $(qtdir)/lib/QtDBus.framework $(frameworks)/
	cp -r $(qtdir)/lib/QtPrintSupport.framework $(frameworks)/

launcher: cxfreeze addqt
	find Launcher.app -name *_debug.dylib -delete

	rm -Rf $(macos)/imageformats
	rm -Rf $(macos)/platforms

	rm -f $(macos)/PyQt5.QtNetwork.so
	rm -f $(macos)/PyQt5.QtQml.so
	rm -f $(macos)/PyQt5.QtQuick.so

	python3 standalone.py Launcher.app

	# rm -f $(macos)/libncursesw.5.dylib

	cp Info.plist Launcher.app/Contents/
	cp ../../icon/fs-uae-arcade.icns $(resources)/fs-uae-arcade.icns

	make -C ../python

	rm -Rf $(macos)/arcade
	rm -Rf $(macos)/fsbc
	rm -Rf $(macos)/fsgs
	rm -Rf $(macos)/fspy
	rm -Rf $(macos)/fstd
	rm -Rf $(macos)/fsui
	rm -Rf $(macos)/launcher
	rm -Rf $(macos)/OpenGL
	rm -Rf $(macos)/oyoyo
	rm -Rf $(macos)/workspace

	zip -d $(macos)/library.zip arcade/\*
	zip -d $(macos)/library.zip fsbc/\*
	zip -d $(macos)/library.zip fsgs/\*
	zip -d $(macos)/library.zip fspy/\*
	zip -d $(macos)/library.zip fstd/\*
	zip -d $(macos)/library.zip fsui/\*
	zip -d $(macos)/library.zip launcher/\*
	zip -d $(macos)/library.zip OpenGL/\*
	zip -d $(macos)/library.zip oyoyo/\*
	zip -d $(macos)/library.zip workspace/\*

	# This file differs between each build
	zip -d $(macos)/library.zip BUILD_CONSTANTS.pyc
	# Remove wrong-cased members from the archive
	zip -d $(macos)/library.zip ConfigParser.pyc || true
	zip -d $(macos)/library.zip Queue.pyc || true
	PYTHONPATH=../..:../../../fs-uae-launcher \
		python3 -m fspy.zipfile deterministic \
		--fix-pyc-timestamps $(macos)/library.zip

	mkdir -p Launcher.app/Contents/Python
	cp -a ../python/*.zip Launcher.app/Contents/Python/

bindist-launcher: launcher
	rm -Rf "FS-UAE Arcade.app"
	mv Launcher.app "FS-UAE Arcade.app"
	# python3 sign.py "FS-UAE Arcade.app"
	GZIP=-9 tar Jcfv ../../$(dname).tar.xz "FS-UAE Arcade.app"

=== arcade/dist/python/Makefile ===
lib = ../../build/lib
zip=zip -r
#copy=python3 ../../fspy/zipfile.py deterministic
cp=python3 -m fspy.zipfile deterministic
PYTHONPATH=../..:../../../fs-uae-launcher

all: build

build:
	# cd ../../fs-uae-arcade && ./bootstrap
	cd ../.. && rm -Rf build/lib
	cd ../.. && python3 setup.py build

	cd $(lib) && rm -f *.zip

	cd $(lib) && $(zip) arcade.zip arcade
	PYTHONPATH=$(PYTHONPATH) $(cp) $(lib)/arcade.zip arcade.zip

	cd $(lib) && $(zip) fsbc.zip fsbc
	PYTHONPATH=$(PYTHONPATH) $(cp) $(lib)/fsbc.zip fsbc.zip

	# cd $(lib) && $(zip) fsboot.zip fsboot
	# PYTHONPATH=$(PYTHONPATH) $(cp) $(lib)/fsboot.zip .

	cd $(lib) && $(zip) fsgs.zip fsgs
	PYTHONPATH=$(PYTHONPATH) $(cp) $(lib)/fsgs.zip fsgs.zip

	cd $(lib) && $(zip) fspy.zip fspy
	PYTHONPATH=$(PYTHONPATH) $(cp) $(lib)/fspy.zip fspy.zip

	cd $(lib) && $(zip) fstd.zip fstd
	PYTHONPATH=$(PYTHONPATH) $(cp) $(lib)/fstd.zip fstd.zip

	cd $(lib) && $(zip) fsui.zip fsui
	PYTHONPATH=$(PYTHONPATH) $(cp) $(lib)/fsui.zip fsui.zip

	cd $(lib) && $(zip) launcher.zip launcher
	PYTHONPATH=$(PYTHONPATH) $(cp) $(lib)/launcher.zip launcher.zip

	cd $(lib) && $(zip) OpenGL.zip OpenGL
	PYTHONPATH=$(PYTHONPATH) $(cp) $(lib)/OpenGL.zip OpenGL.zip

	cd $(lib) && $(zip) oyoyo.zip oyoyo
	PYTHONPATH=$(PYTHONPATH) $(cp) $(lib)/oyoyo.zip oyoyo.zip

	cd $(lib) && $(zip) workspace.zip workspace
	PYTHONPATH=$(PYTHONPATH) $(cp) $(lib)/workspace.zip workspace.zip

	cd ../.. && rm -Rf build/lib

=== launcher/dist/macos/Makefile ===
version = $(strip $(shell cat ../../VERSION))
arch = $(strip $(shell python3 ../arch.py))
ver_os_arch = $(version)_macos_$(arch)

dname = fs-uae-launcher_$(ver_os_arch)
macos =  Launcher.app/Contents/MacOS
frameworks = Launcher.app/Contents/Frameworks
resources = Launcher.app/Contents/Resources
locale = Launcher.app/Contents/Locale
pylib = /Library/Frameworks/Python.framework/Versions/3.6/lib
qtdir = $(pylib)/python3.6/site-packages/PyQt5/Qt

all: bindist-launcher

clean:
	rm -Rf Launcher.app "FS-UAE Launcher.app"

cxfreeze: clean
	make -C ../..
	rm -Rf ../../build
	ln -fs $(qtdir)/lib/Qt*.framework $(pylib)
	cd ../.. && PYTHONHASHSEED=1 python3 setup.py build_exe
	rm  $(pylib)/Qt*.framework

	mkdir -p $(macos)
	mkdir -p $(resources)
	mkdir -p $(locale)
	cp -pPR ../../share/locale/* $(locale)/
	cp ../../cacert.pem $(macos)
	rm -Rf $(resources)/applications
	rm -Rf $(resources)/icons
	mv ../../build/*/* $(macos)

	rm -Rf $(macos)/Qt*

addqt:
	mkdir -p Launcher.app/Contents/PlugIns/platforms
	cp $(qtdir)/plugins/platforms/libqcocoa.dylib Launcher.app/Contents/PlugIns/platforms/

	mkdir -p Launcher.app/Contents/PlugIns/imageformats
	cp $(qtdir)/plugins/imageformats/libqgif.dylib Launcher.app/Contents/PlugIns/imageformats/
	cp $(qtdir)/plugins/imageformats/libqicns.dylib Launcher.app/Contents/PlugIns/imageformats/
	cp $(qtdir)/plugins/imageformats/libqjpeg.dylib Launcher.app/Contents/PlugIns/imageformats/

	mkdir -p $(frameworks)
	cp -r $(qtdir)/lib/QtCore.framework $(frameworks)/
	cp -r $(qtdir)/lib/QtGui.framework $(frameworks)/
	cp -r $(qtdir)/lib/QtWidgets.framework $(frameworks)/
	cp -r $(qtdir)/lib/QtOpenGL.framework $(frameworks)/
	cp -r $(qtdir)/lib/QtDBus.framework $(frameworks)/
	cp -r $(qtdir)/lib/QtPrintSupport.framework $(frameworks)/

launcher: cxfreeze addqt
	find Launcher.app -name *_debug.dylib -delete

	rm -Rf $(macos)/imageformats
	rm -Rf $(macos)/platforms

	rm -f $(macos)/PyQt5.QtNetwork.so
	rm -f $(macos)/PyQt5.QtQml.so
	rm -f $(macos)/PyQt5.QtQuick.so

	python3 standalone.py Launcher.app

	# rm -f $(macos)/libncursesw.5.dylib

	cp Info.plist Launcher.app/Contents/
	cp ../../icon/fs-uae-launcher.icns $(resources)/fs-uae-launcher.icns

	make -C ../python

	rm -Rf $(macos)/amitools
	rm -Rf $(macos)/arcade
	rm -Rf $(macos)/fsbc
	rm -Rf $(macos)/fsgs
	rm -Rf $(macos)/fspy
	rm -Rf $(macos)/fstd
	rm -Rf $(macos)/fsui
	rm -Rf $(macos)/launcher
	rm -Rf $(macos)/OpenGL
	rm -Rf $(macos)/oyoyo
	rm -Rf $(macos)/workspace

	zip -d $(macos)/library.zip amitools/\*
	zip -d $(macos)/library.zip arcade/\*
	zip -d $(macos)/library.zip fsbc/\*
	zip -d $(macos)/library.zip fsgs/\*
	zip -d $(macos)/library.zip fspy/\*
	zip -d $(macos)/library.zip fstd/\*
	zip -d $(macos)/library.zip fsui/\*
	zip -d $(macos)/library.zip launcher/\*
	zip -d $(macos)/library.zip OpenGL/\*
	zip -d $(macos)/library.zip oyoyo/\*
	zip -d $(macos)/library.zip workspace/\*

	# This file differs between each build
	zip -d $(macos)/library.zip BUILD_CONSTANTS.pyc
	# Remove wrong-cased members from the archive
	zip -d $(macos)/library.zip ConfigParser.pyc || true
	zip -d $(macos)/library.zip Queue.pyc || true
	PYTHONPATH=../.. \
		python3 -m fspy.zipfile deterministic \
		--fix-pyc-timestamps $(macos)/library.zip

	mkdir -p Launcher.app/Contents/Python
	cp -a ../python/*.zip Launcher.app/Contents/Python/

bindist-launcher: launcher
	rm -Rf "FS-UAE Launcher.app"
	mv Launcher.app "FS-UAE Launcher.app"
	# python3 sign.py "FS-UAE Launcher.app"
	GZIP=-9 tar Jcfv ../../$(dname).tar.xz "FS-UAE Launcher.app"

=== debian/changelog ===
fs-uae (3.0.2+dfsg-2) unstable; urgency=medium

  * Drop python-lhafile from Recommends of fs-uae-launcher package.
  * Update debhelper version to 12 and switch to debhelper-compat.
  * Update standards version to 4.5.0 in debian/control.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Fri, 07 Feb 2020 14:18:46 +0100

fs-uae (3.0.2+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #886933, #944373)
  * Drop fs-uae-netplay-server package which is python2-only. (Closes: #936566)
    + Add note about removal in debian/README.source.
    + Delete debian/fs-uae-netplay-server.* files.
    + Drop python and python-setuptools from Build-Depends in debian/control.
    + Remove package description from debian/README.Debian.
    + Remove package build invocation from debian/rules.
    + Remove file pattern matching from debian/copyright.
    + Remove section from debian/control.
  * Drop debian/patches directory to start with a fresh patch-queue.
  * Re-add patch to define unknown CPUs as CPU_unknown:
    + debian/patches/0001-Define-unknown-host-CPUs-as-CPU_unknown.patch.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Fri, 27 Dec 2019 13:47:35 +0100

=== debian/watch ===
version=3
opts=dversionmangle=s/\.dfsg// \
http://fengestad.no/fs-uae/download .*/fs-uae-(\d[^x]*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## fs-uae 3.0.5+dfsg

=== arcade/dist/macos/Makefile ===
version = $(strip $(shell cat ../../VERSION))
arch = $(strip $(shell python3 ../arch.py))
ver_os_arch = $(version)_macos_$(arch)

dname = fs-uae-arcade_$(ver_os_arch)
macos =  Launcher.app/Contents/MacOS
frameworks = Launcher.app/Contents/Frameworks
resources = Launcher.app/Contents/Resources
data = Launcher.app/Contents/Resources/Data
locale = Launcher.app/Contents/Resources/Locale
python = Launcher.app/Contents/Resources/Python
pylib = /Library/Frameworks/Python.framework/Versions/3.6/lib
qtdir = $(pylib)/python3.6/site-packages/PyQt5/Qt

all: bindist-launcher

clean:
	rm -Rf Launcher.app "FS-UAE Arcade.app"

cxfreeze: clean
	make -C ../..
	rm -Rf ../../build
	ln -fs $(qtdir)/lib/Qt*.framework $(pylib)
	cd ../.. && PYTHONHASHSEED=1 python3 setup.py build_exe
	rm  $(pylib)/Qt*.framework

	mkdir -p $(macos)
	mkdir -p $(resources)

	mkdir -p $(data)
	cp ../../cacert.pem $(data)/

	mv ../../build/*/* $(macos)
	mkdir -p ${python}
	mv $(macos)/library.zip ${python}/library.zip

	rm -Rf $(resources)/applications
	rm -Rf $(resources)/icons
	rm -Rf $(macos)/Qt*

addqt:
	rm -Rf ${macos}/platforms
	mkdir -p ${macos}/platforms
	cp $(qtdir)/plugins/platforms/libqcocoa.dylib ${macos}/platforms/

	rm -Rf ${macos}/imageformats
	mkdir -p ${macos}/imageformats
	cp $(qtdir)/plugins/imageformats/libqgif.dylib ${macos}/imageformats/
	cp $(qtdir)/plugins/imageformats/libqicns.dylib ${macos}/imageformats/
	cp $(qtdir)/plugins/imageformats/libqjpeg.dylib ${macos}/imageformats/
	cp $(qtdir)/plugins/imageformats/libqsvg.dylib ${macos}/imageformats/

	mkdir -p ${macos}/frameworks
	# cp -r $(qtdir)/lib/QtCore.framework $(frameworks)/
	# cp -r $(qtdir)/lib/QtGui.framework $(frameworks)/
	# cp -r $(qtdir)/lib/QtWidgets.framework $(frameworks)/
	# cp -r $(qtdir)/lib/QtOpenGL.framework $(frameworks)/
	# cp -r $(qtdir)/lib/QtDBus.framework $(frameworks)/
	# cp -r $(qtdir)/lib/QtPrintSupport.framework $(frameworks)/

	cp $(qtdir)/lib/QtCore.framework/Versions/5/QtCore $(macos)/
	cp $(qtdir)/lib/QtGui.framework/Versions/5/QtGui $(macos)/
	cp $(qtdir)/lib/QtWidgets.framework/Versions/5/QtWidgets $(macos)/
	cp $(qtdir)/lib/QtOpenGL.framework/Versions/5/QtOpenGL $(macos)/
	cp $(qtdir)/lib/QtDBus.framework/Versions/5/QtDBus $(macos)/
	cp $(qtdir)/lib/QtPrintSupport.framework/Versions/5/QtPrintSupport $(macos)/
	cp $(qtdir)/lib/QtSvg.framework/Versions/5/QtSvg $(macos)/

launcher: cxfreeze addqt
	find Launcher.app -name *_debug.dylib -delete

	# rm -Rf $(macos)/imageformats
	# rm -Rf $(macos)/platforms

	rm -f $(macos)/PyQt5.QtNetwork.so
	rm -f $(macos)/PyQt5.QtQml.so
	rm -f $(macos)/PyQt5.QtQuick.so

	python3 standalone.py Launcher.app

	# rm -f $(macos)/libncursesw.5.dylib

	cp Info.plist Launcher.app/Contents/
	cp ../../icon/fs-uae-arcade.icns $(resources)/fs-uae-arcade.icns

	make -C ../python

	rm -Rf $(macos)/arcade
	rm -Rf $(macos)/fsbc
	rm -Rf $(macos)/fsgs
	rm -Rf $(macos)/fspy
	rm -Rf $(macos)/fstd
	rm -Rf $(macos)/fsui
	rm -Rf $(macos)/launcher
	rm -Rf $(macos)/OpenGL
	rm -Rf $(macos)/oyoyo
	rm -Rf $(macos)/workspace

	zip -d ${python}/library.zip arcade/\*
	zip -d ${python}/library.zip fsbc/\*
	zip -d ${python}/library.zip fsgs/\*
	zip -d ${python}/library.zip fspy/\*
	zip -d ${python}/library.zip fstd/\*
	zip -d ${python}/library.zip fsui/\*
	zip -d ${python}/library.zip launcher/\*
	zip -d ${python}/library.zip OpenGL/\*
	zip -d ${python}/library.zip oyoyo/\*
	zip -d ${python}/library.zip workspace/\*

	# This file differs between each build
	zip -d ${python}/library.zip BUILD_CONSTANTS.pyc
	# Remove wrong-cased members from the archive
	zip -d ${python}/library.zip ConfigParser.pyc || true
	zip -d ${python}/library.zip Queue.pyc || true
	PYTHONPATH=../..:../../../fs-uae-launcher \
		python3 -m fspy.zipfile deterministic \
		--fix-pyc-timestamps ${python}/library.zip

	mkdir -p ${python}
	cp -a ../python/*.zip ${python}/

bindist-launcher: launcher
	rm -Rf "FS-UAE Arcade.app"
	mv Launcher.app "FS-UAE Arcade.app"
	# python3 sign.py "FS-UAE Arcade.app"
	GZIP=-9 tar Jcfv ../../$(dname).tar.xz "FS-UAE Arcade.app"

=== launcher/dist/linux/Makefile ===
version = $(strip $(shell cat ../../VERSION))

all:
	make -C ../python
	./build.py $(version)

clean:
	rm -Rf *-linux-* *-steamos-*

=== launcher/dist/macos/Makefile ===
version = $(strip $(shell cat ../../VERSION))
arch = $(strip $(shell python3 ../arch.py))
ver_os_arch = $(version)_macos_$(arch)

dname = fs-uae-launcher_$(ver_os_arch)
macos =  Launcher.app/Contents/MacOS
frameworks = Launcher.app/Contents/Frameworks
resources = Launcher.app/Contents/Resources
data = Launcher.app/Contents/Resources/Data
locale = Launcher.app/Contents/Resources/Locale
python = Launcher.app/Contents/Resources/Python
pylib = /Library/Frameworks/Python.framework/Versions/3.6/lib
qtdir = $(pylib)/python3.6/site-packages/PyQt5/Qt

all: bindist-launcher

clean:
	rm -Rf Launcher.app "FS-UAE Launcher.app"

cxfreeze: clean
	make -C ../..
	rm -Rf ../../build
	ln -fs $(qtdir)/lib/Qt*.framework $(pylib)
	cd ../.. && PYTHONHASHSEED=1 python3 setup.py build_exe
	rm  $(pylib)/Qt*.framework

	mkdir -p $(macos)
	mkdir -p $(resources)

	mkdir -p $(locale)
	cp -pPR ../../share/locale/* $(locale)/

	mkdir -p $(data)
	cp ../../cacert.pem $(data)/

	mv ../../build/*/* $(macos)
	mkdir -p ${python}
	mv $(macos)/library.zip ${python}/library.zip

	rm -Rf $(resources)/applications
	rm -Rf $(resources)/icons
	rm -Rf $(macos)/Qt*

addqt:
	rm -Rf ${macos}/platforms
	mkdir -p ${macos}/platforms
	cp $(qtdir)/plugins/platforms/libqcocoa.dylib ${macos}/platforms/

	rm -Rf ${macos}/imageformats
	mkdir -p ${macos}/imageformats
	cp $(qtdir)/plugins/imageformats/libqgif.dylib ${macos}/imageformats/
	cp $(qtdir)/plugins/imageformats/libqicns.dylib ${macos}/imageformats/
	cp $(qtdir)/plugins/imageformats/libqjpeg.dylib ${macos}/imageformats/
	cp $(qtdir)/plugins/imageformats/libqsvg.dylib ${macos}/imageformats/

	mkdir -p ${macos}/frameworks
	# cp -r $(qtdir)/lib/QtCore.framework $(frameworks)/
	# cp -r $(qtdir)/lib/QtGui.framework $(frameworks)/
	# cp -r $(qtdir)/lib/QtWidgets.framework $(frameworks)/
	# cp -r $(qtdir)/lib/QtOpenGL.framework $(frameworks)/
	# cp -r $(qtdir)/lib/QtDBus.framework $(frameworks)/
	# cp -r $(qtdir)/lib/QtPrintSupport.framework $(frameworks)/

	cp $(qtdir)/lib/QtCore.framework/Versions/5/QtCore $(macos)/
	cp $(qtdir)/lib/QtGui.framework/Versions/5/QtGui $(macos)/
	cp $(qtdir)/lib/QtWidgets.framework/Versions/5/QtWidgets $(macos)/
	cp $(qtdir)/lib/QtOpenGL.framework/Versions/5/QtOpenGL $(macos)/
	cp $(qtdir)/lib/QtDBus.framework/Versions/5/QtDBus $(macos)/
	cp $(qtdir)/lib/QtPrintSupport.framework/Versions/5/QtPrintSupport $(macos)/
	cp $(qtdir)/lib/QtSvg.framework/Versions/5/QtSvg $(macos)/

launcher: cxfreeze addqt
	find Launcher.app -name *_debug.dylib -delete

	# rm -Rf $(macos)/imageformats
	# rm -Rf $(macos)/platforms

	rm -f $(macos)/PyQt5.QtNetwork.so
	rm -f $(macos)/PyQt5.QtQml.so
	rm -f $(macos)/PyQt5.QtQuick.so

	python3 standalone.py Launcher.app

	# rm -f $(macos)/libncursesw.5.dylib

	cp Info.plist Launcher.app/Contents/
	cp ../../icon/fs-uae-launcher.icns $(resources)/fs-uae-launcher.icns

	make -C ../python

	rm -Rf $(macos)/amitools
	rm -Rf $(macos)/arcade
	rm -Rf $(macos)/fsbc
	rm -Rf $(macos)/fsgs
	rm -Rf $(macos)/fspy
	rm -Rf $(macos)/fstd
	rm -Rf $(macos)/fsui
	rm -Rf $(macos)/launcher
	rm -Rf $(macos)/OpenGL
	rm -Rf $(macos)/oyoyo
	rm -Rf $(macos)/workspace

	zip -d ${python}/library.zip amitools/\*
	zip -d ${python}/library.zip arcade/\*
	zip -d ${python}/library.zip fsbc/\*
	zip -d ${python}/library.zip fsgs/\*
	zip -d ${python}/library.zip fspy/\*
	zip -d ${python}/library.zip fstd/\*
	zip -d ${python}/library.zip fsui/\*
	zip -d ${python}/library.zip launcher/\*
	zip -d ${python}/library.zip OpenGL/\*
	zip -d ${python}/library.zip oyoyo/\*
	zip -d ${python}/library.zip workspace/\*

	# This file differs between each build
	zip -d ${python}/library.zip BUILD_CONSTANTS.pyc
	# Remove wrong-cased members from the archive
	zip -d ${python}/library.zip ConfigParser.pyc || true
	zip -d ${python}/library.zip Queue.pyc || true
	PYTHONPATH=../.. \
		python3 -m fspy.zipfile deterministic \
		--fix-pyc-timestamps ${python}/library.zip

	mkdir -p ${python}
	cp -a ../python/*.zip ${python}/

bindist-launcher: launcher
	rm -Rf "FS-UAE Launcher.app"
	mv Launcher.app "FS-UAE Launcher.app"
	# python3 sign.py "FS-UAE Launcher.app"
	GZIP=-9 tar Jcfv ../../$(dname).tar.xz "FS-UAE Launcher.app"

=== launcher/dist/python/Makefile ===
lib = ../../build/lib
zip=zip -r
#copy=python3 ../../fspy/zipfile.py deterministic
cp=python3 -m fspy.zipfile deterministic

all: build

build:
	# cd ../../fs-uae-launcher && ./bootstrap
	cd ../.. && rm -Rf build/lib
	cd ../.. && python3 setup.py build

	cd $(lib) && rm -f *.zip

	# cd $(lib) && $(zip) --exclude="*.ttf" arcade.zip arcade
	cd $(lib) && $(zip) amitools.zip amitools
	# mv $(lib)/amitools.zip .
	PYTHONPATH=../.. $(cp) $(lib)/amitools.zip amitools.zip
	# rm $(lib)/amitools.zip

	cd $(lib) && $(zip) arcade.zip arcade
	PYTHONPATH=../.. $(cp) $(lib)/arcade.zip arcade.zip
	# rm $(lib)/arcade.zip

	cd $(lib) && $(zip) fsbc.zip fsbc
	PYTHONPATH=../.. $(cp) $(lib)/fsbc.zip fsbc.zip
	# rm $(lib)/fsbc.zip

	# cd $(lib) && $(zip) fsboot.zip fsboot
	# PYTHONPATH=../.. $(cp) $(lib)/fsboot.zip .
	# rm $(lib)/fsboot.zip

	cd $(lib) && $(zip) fsgs.zip fsgs
	PYTHONPATH=../.. $(cp) $(lib)/fsgs.zip fsgs.zip
	# rm $(lib)/fspy.zip

	cd $(lib) && $(zip) fspy.zip fspy
	PYTHONPATH=../.. $(cp) $(lib)/fspy.zip fspy.zip
	# rm $(lib)/fspy.zip

	cd $(lib) && $(zip) fstd.zip fstd
	PYTHONPATH=../.. $(cp) $(lib)/fstd.zip fstd.zip
	# rm $(lib)/fstd.zip

	cd $(lib) && $(zip) fsui.zip fsui
	PYTHONPATH=../.. $(cp) $(lib)/fsui.zip fsui.zip
	# rm $(lib)/fsui.zip

	cd $(lib) && $(zip) launcher.zip launcher
	PYTHONPATH=../.. $(cp) $(lib)/launcher.zip launcher.zip
	# rm $(lib)/launcher.zip

	# cd $(lib) && touch .dummy
	# cd $(lib) && $(zip) OpenGL.zip .dummy
	cd $(lib) && $(zip) OpenGL.zip OpenGL
	PYTHONPATH=../.. $(cp) $(lib)/OpenGL.zip OpenGL.zip
	# rm $(lib)/OpenGL.zip

	cd $(lib) && $(zip) oyoyo.zip oyoyo
	PYTHONPATH=../.. $(cp) $(lib)/oyoyo.zip oyoyo.zip
	# rm $(lib)/oyoyo.zip

	# cd $(lib) && $(zip) --exclude="*.ttf" workspace.zip workspace
	cd $(lib) && $(zip) workspace.zip workspace
	PYTHONPATH=../.. $(cp) $(lib)/workspace.zip workspace.zip
	# rm $(lib)/workspace.zip

	cd ../.. && rm -Rf build/lib

=== launcher/dist/steamos/Makefile ===
all:
	$(HOME)/sdk/fs-sdk-steamos-x86/bin/run make -C ../linux

clean:
	$(HOME)/sdk/fs-sdk-steamos-x86/bin/run make -C ../linux clean

=== launcher/dist/windows/Makefile ===
version = $(strip $(shell cat ../../VERSION))
library_zip = $(launcher_dir)/library.zip
python_dir = $$LOCALAPPDATA/Programs/Python/Python36
python = $(python_dir)/python.exe
qt_dir = $(python_dir)/Lib/site-packages/PyQt5/Qt
arch = $(strip $(shell $(python) ../arch.py))
launcher_dir = Launcher/Windows/$(arch)
launcher_zip = fs-uae-launcher_$(version)_windows_$(arch).zip
launcher_txz = fs-uae-launcher_$(version)_windows_$(arch).tar.xz


all: clean progdir zip

clean:
	rm -Rf fs-uae-launcher-*_windows*
	rm -Rf fs-uae-launcher_*_windows*
	rm -Rf $(launcher_dir)
	rm -Rf Launcher
	rm -f *.tmp

progdir:
	rm -Rf Launcher

	make -C ../..
	rm -Rf ../build

	cd ../.. && PYTHONHASHSEED=1 $(python) setup.py build_exe
	mkdir -p $(launcher_dir)
	mv ../../build/exe.win-amd64-3.6/* $(launcher_dir)

	mkdir $(launcher_dir)/imageformats
	cp $(qt_dir)/plugins/imageformats/qico.dll $(launcher_dir)/imageformats
	cp $(qt_dir)/plugins/imageformats/qjpeg.dll $(launcher_dir)/imageformats
	mkdir $(launcher_dir)/platforms
	cp $(qt_dir)/plugins/platforms/qwindows.dll $(launcher_dir)/platforms

	mkdir -p Launcher/Data
	cp -a ../../share/locale Launcher/Data/Locale
	cp ../../cacert.pem Launcher/Data
	rm -Rf $(launcher_dir)/share/applications
	rm -Rf $(launcher_dir)/share/icons

	rm -Rf $(launcher_dir)/amitools
	rm -Rf $(launcher_dir)/arcade
	rm -Rf $(launcher_dir)/fsbc
	rm -Rf $(launcher_dir)/fsgs
	rm -Rf $(launcher_dir)/fspy
	rm -Rf $(launcher_dir)/fstd
	rm -Rf $(launcher_dir)/fsui
	rm -Rf $(launcher_dir)/launcher
	rm -Rf $(launcher_dir)/OpenGL
	rm -Rf $(launcher_dir)/oyoyo
	rm -Rf $(launcher_dir)/workspace

	zip -d $(library_zip) amitools/\*
	zip -d $(library_zip) arcade/\*
	zip -d $(library_zip) fsbc/\*
	zip -d $(library_zip) fsgs/\*
	zip -d $(library_zip) fspy/\*
	zip -d $(library_zip) fstd/\*
	zip -d $(library_zip) fsui/\*
	zip -d $(library_zip) launcher/\*
	zip -d $(library_zip) OpenGL/\*
	zip -d $(library_zip) oyoyo/\*
	zip -d $(library_zip) workspace/\*

	# This file differs between each build
	zip -d $(library_zip) BUILD_CONSTANTS.pyc
	# Remove wrong-cased members from the archive
	zip -d $(library_zip) ConfigParser.pyc || true
	zip -d $(library_zip) Queue.pyc || true
	PYTHONPATH=../.. python3 -m fspy.zipfile deterministic \
		--fix-pyc-timestamps $(library_zip)

	make -C ../python
	mkdir -p Launcher/Python
	cp -a ../python/*.zip Launcher/Python

	echo $(ver) > Launcher/Version.txt
	echo $(ver) > $(launcher_dir)/Version.txt

	python3 sign.py $(launcher_dir)/fs-uae-launcher.exe

zip:
	# cd $(launcher_dir) && zip -9 -r ../../../$(launcher_zip) *
	zip -9 -r ../../$(launcher_zip) Launcher

tar.xz: progdir
	# cd $(launcher_dir) && tar cfvJ ../../../$(launcher_txz) *
	tar cfvJ ../../$(launcher_txz) Launcher

setup:
	sed s/9.8.7/${version}/g fs-uae-launcher.iss > fs-uae-launcher.iss2.tmp
	sed s/ARCH/${arch}/g fs-uae-launcher.iss2.tmp > fs-uae-launcher.iss.tmp
	python3 iscc.py fs-uae-launcher.iss.tmp
	python3 sign.py ../fs-uae-launcher_$(version)_windows_$(arch).exe
	rm fs-uae-launcher.iss.tmp

=== debian/changelog ===
fs-uae (3.0.5+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #957238)
  * Drop patches merged upstream:
    + debian/patches/0001-Define-unknown-host-CPUs-as-CPU_unknown.patch.
  * Update remote URL and bump version in debian/watch.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Fri, 01 May 2020 10:39:41 +0200

fs-uae (3.0.3+dfsg-1) unstable; urgency=medium

  * New upstream version.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Thu, 26 Mar 2020 16:28:24 +0100

=== debian/control ===
Source: fs-uae
Section: otherosfs
Priority: optional
Maintainer: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
Build-Depends: debhelper-compat (= 12),
               dh-autoreconf,
               dh-python,
               gettext,
               libfreetype6-dev,
               libglew-dev,
               libglib2.0-dev,
               libmpeg2-4-dev,
               libopenal-dev,
               libsdl2-dev,
               libxi-dev,
               python3-all (>= 3.2),
               python3-setuptools,
               zip
Standards-Version: 4.5.0
Homepage: http://fs-uae.net
Vcs-Git: git://github.com/glaubitz/fs-uae-debian.git
Vcs-Browser: https://github.com/glaubitz/fs-uae-debian

Package: fs-uae
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Cross-platform Amiga emulator based on UAE/WinUAE
 FS-UAE is a cross-platform Amiga emulator based on updated emulation code
 from WinUAE. FS-UAE uses SDL for input, OpenAL for audio and OpenGL
 for graphics.

Package: fs-uae-launcher
Architecture: all
Depends: fs-uae,
         python3-pyqt5,
         python3-pyqt5.qtopengl,
         python3-setuptools,
         ${misc:Depends},
         ${python3:Depends}
Description: Launcher and configuration program for FS-UAE
 FS-UAE is a cross-platform Amiga emulator based on updated emulation code
 from WinUAE. FS-UAE uses SDL for input, OpenAL for audio and OpenGL
 for graphics.
 .
 This package contains the launcher, a graphical user interface for
 setting up FS-UAE.

Package: fs-uae-arcade
Architecture: all
Depends: fs-uae,
         python3-pyqt5,
         python3-pyqt5.qtopengl,
         python3-setuptools,
         ${misc:Depends},
         ${python3:Depends}
Recommends: fs-uae-launcher
Description: Fullscreen game browser for FS-UAE
 FS-UAE is a cross-platform Amiga emulator based on updated emulation code
 from WinUAE. FS-UAE uses SDL for input, OpenAL for audio and OpenGL
 for graphics.
 .
 This package contains FS-UAE Arcade, a fullscreen game browser
 for couch potatoes.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --sourcedirectory=arcade
	make -C arcade
	dh_auto_build --sourcedirectory=launcher
	make -C launcher

override_dh_auto_configure:
ifneq ($(filter $(DEB_BUILD_ARCH), amd64 i386 kfreebsd-amd64 kfreebsd-i386 x32),)
	dh_auto_configure -- --enable-jit
else
	dh_auto_configure -- --disable-jit
endif

override_dh_auto_install:
	make install prefix=$$(pwd)/debian/fs-uae/usr
	make -C arcade install prefix=$$(pwd)/debian/fs-uae-arcade/usr
	cd arcade && python3 setup.py install --no-compile --install-layout=deb --root=../debian/fs-uae-arcade --install-lib=/usr/share/fs-uae-arcade --install-scripts=/usr/share/fs-uae-arcade
	make -C launcher install prefix=$$(pwd)/debian/fs-uae-launcher/usr
	cd launcher && python3 setup.py install --no-compile --install-layout=deb --root=../debian/fs-uae-launcher --install-lib=/usr/share/fs-uae-launcher --install-scripts=/usr/share/fs-uae-launcher

%:
	dh $@ --with autoreconf,python3

## fs-uae 3.1.64

=== debian/changelog ===
fs-uae (3.1.64-0) unstable; urgency=low

  * Dummy changelog entry.

 -- Frode Solheim <frode@fs-uae.net>  Sun, 05 Dec 2021 16:00:09 +0000

## fs-uae 3.1.66

=== debian/changelog ===
fs-uae (3.1.66-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure copyright file specification URI
  * debian/copyright: use spaces rather than tabs to start continuation lines
  * Use secure URI in Homepage field
  * Bump debhelper from old 12 to 13
  * Drop unnecessary dependency on dh-autoreconf
  * Remove unused license definitions for GPL-3+, CC-BY-SA-3.0
  * Update standards version to 4.6.1, no changes needed

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Mon, 05 Dec 2022 13:48:30 +0100

fs-uae (3.1.66-1) unstable; urgency=medium

  * New upstream release
  * Replace DEB_BUILD_ARCH with DEB_HOST_ARCH in debian/rules (Closes: #996842)
  * Update Standards-Version to 4.6.0 in debian/control
  * Update upstream tarball source URL in debian/watch

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Thu, 20 Jan 2022 22:26:40 +0100

fs-uae (3.1.62-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Fri, 03 Dec 2021 07:34:46 +0100

fs-uae (3.1.59-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Mon, 22 Nov 2021 10:43:06 +0100

fs-uae (3.1.47-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Mon, 15 Nov 2021 01:12:53 +0100

fs-uae (3.1.35-1) unstable; urgency=medium

  * New upstream release (Closes: #984138)
  * Drop fs-uae-arcade and fs-uae-launcher packages from debian/control
  * Drop fs-uae-arcade and fs-uae-launcher packages from debian/copyright
  * Drop dh-python, python3-{all,setuptools} from B-D in debian/control
  * Remove fs-uae-arcade links file debian/fs-uae-arcade.links
  * Remove fs-uae-launcher links file debian/fs-uae-launcher.links
  * Stop building fs-uae-arcade and fs-uae-launcher packages in debian/rules
  * Update Standards-Version to 4.5.1 in debian/control
  * Update Vcs-* fields for new Salsa project in debian/control

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sun, 17 Oct 2021 14:27:52 +0200

=== debian/control ===
Source: fs-uae
Section: otherosfs
Priority: optional
Maintainer: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
Build-Depends: debhelper-compat (= 13),
               gettext,
               libfreetype6-dev,
               libglew-dev,
               libglib2.0-dev,
               libmpeg2-4-dev,
               libopenal-dev,
               libsdl2-dev,
               libxi-dev,
               zip
Standards-Version: 4.6.1
Homepage: https://fs-uae.net
Vcs-Browser: https://salsa.debian.org/debian/fs-uae
Vcs-Git: https://salsa.debian.org/debian/fs-uae.git

Package: fs-uae
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Cross-platform Amiga emulator based on UAE/WinUAE
 FS-UAE is a cross-platform Amiga emulator based on updated emulation code
 from WinUAE. FS-UAE uses SDL for input, OpenAL for audio and OpenGL
 for graphics.

=== debian/watch ===
version=4
opts=dversionmangle=s/\.dfsg// \
https://fs-uae.net/files/FS-UAE/Stable/(\d\S+)/fs-uae-(\d\S+)\.tar\.xz

## fs-uae 3.2.35

=== debian/changelog ===
fs-uae (3.2.35-2) unstable; urgency=medium

  * Switch from libfreetype6-dev to libfreetype-dev in
    Build-Depends in debian/control
  * Update Standards-Version to 4.7.2 in debian/control
  * Update debian/watch to monitor GitHub releases now

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Tue, 28 Oct 2025 11:12:05 +0100

fs-uae (3.2.35-1) unstable; urgency=medium

  * New upstream release

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Mon, 20 Oct 2025 09:42:39 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
 Build-Depends: debhelper-compat (= 13),
                gettext,
-               libfreetype6-dev,
+               libfreetype-dev,
                libglew-dev,
                libglib2.0-dev,
                libmpeg2-4-dev,
@@ -12,7 +12,7 @@
                libsdl2-dev,
                libxi-dev,
                zip
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Homepage: https://fs-uae.net
 Vcs-Browser: https://salsa.debian.org/debian/fs-uae
 Vcs-Git: https://salsa.debian.org/debian/fs-uae.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_configure:
ifneq ($(filter $(DEB_HOST_ARCH), amd64 i386 kfreebsd-amd64 kfreebsd-i386 x32),)
	dh_auto_configure -- --enable-jit
else
	dh_auto_configure -- --disable-jit
endif

%:
	dh $@

=== debian/watch ===
version=4
opts="searchmode=plain" \
https://api.github.com/repos/FrodeSolheim/fs-uae/releases?per_page=100 \
https://github.com/FrodeSolheim/fs-uae/releases/download/v?@ANY_VERSION@/fs-uae-(?:[\d\.]+?).tar.xz
